Bug 1575755 - [Docs][Planning] Clarify NVIDIA GPU assignment - Only PCIe GPUs
Summary: [Docs][Planning] Clarify NVIDIA GPU assignment - Only PCIe GPUs
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ovirt-4.2.5
: ---
Assignee: Megan Lewis
QA Contact: Tahlia Richardson
URL:
Whiteboard: docs-accepted
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 19:48 UTC by Alex Williamson
Modified: 2019-05-07 12:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 04:46:52 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Alex Williamson 2018-05-07 19:48:33 UTC
Description of problem:
https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2-beta/html/planning_and_prerequisites_guide/requirements#hardware_requirements_for_device_assignment

Red Hat Virtualization - Planning and Prerequisites Guide 
Section: 2.2.5. Hardware Requirements For Device Assignment

NVIDIA now produces both PCIe and NVLink based Tesla GPUs, the latter is a proprietary interconnect which is currently not supported for GPU assignment.  The section noted above states:

"For GPU support, Red Hat Enterprise Linux 7 supports PCI device assignment of NVIDIA K-Series Quadro (model 2000 series or higher), GRID, and Tesla as non-VGA graphics devices. Currently up to two GPUs may be attached to a virtual machine in addition to one of the standard, emulated VGA interfaces. The emulated VGA is used for pre-boot and installation and the NVIDIA GPU takes over when the NVIDIA graphics drivers are loaded. Note that the NVIDIA Quadro 2000 is not supported, nor is the Quadro K420 card."

I would like to insert "PCIe-based" in reference to the supported devices here somewhere.  As noted in the bug linked below, "PCI device assignment" is the correct term for the overall technology as it does support PCI more broadly, we're only trying to clarify the supported set of NVIDIA GPU devices as limited to those supporting PCIe.  Perhaps:

"..PCI device assignment of PCIe-based NVIDIA..."

Version-Release number of selected component (if applicable):
4.2-beta

How reproducible:
n/a

Steps to Reproduce:
1. n/a
2.
3.

Actual results:
n/a

Expected results:
n/a

Additional info:
See also bug 1575750

Comment 1 Lucy Bopf 2018-06-29 03:36:55 UTC
Accepting into the 4.2.5 (z2) program, and assigning to Megan for review.

(Non-beta link is https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2/html/planning_and_prerequisites_guide/requirements#hardware_requirements_for_device_assignment)


Note You need to log in before you can comment on or make changes to this bug.